<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>scripts.multiple_candidates package &mdash; RDstar_light  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="scripts.multiple_candidates.definition package" href="scripts.multiple_candidates.definition.html" />
    <link rel="prev" title="lib.plot package" href="lib.plot.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> RDstar_light
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="lib.html">lib package</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">scripts.multiple_candidates package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#multiple-candidates">Multiple candidates</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#structure">Structure</a></li>
<li class="toctree-l3"><a class="reference internal" href="#related-references">Related references</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#subpackages">Subpackages</a><ul>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.definition.html">scripts.multiple_candidates.definition package</a></li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.mulcan.html">scripts.multiple_candidates.mulcan package</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#scripts">Scripts</a><ul>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.html">scripts.multiple_candidates.scripts_ana package</a></li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.html">scripts.multiple_candidates.scripts_select package</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">RDstar_light</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
      <li>scripts.multiple_candidates package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/scripts.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <div class="section" id="scripts-multiple-candidates-package">
<h1>scripts.multiple_candidates package<a class="headerlink" href="#scripts-multiple-candidates-package" title="Permalink to this heading"></a></h1>
<div class="section" id="multiple-candidates">
<h2>Multiple candidates<a class="headerlink" href="#multiple-candidates" title="Permalink to this heading"></a></h2>
<p>This folder is dedicated to analyse multiple candidates in order to decide
on a strategy to deal with them.</p>
<div class="section" id="structure">
<h3>Structure<a class="headerlink" href="#structure" title="Permalink to this heading"></a></h3>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">definition</span></code> contains all the “global” variables used in this study
(labels, particles, paths, columns, …)</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">multiple_candidates</span></code> folder contains functions used mainly in this study
to deal with multiple candidates</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">lib</span></code> folder contains general-purpose tools used that could be used out of
this study (plotting, handling list, save files, etc.)</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">notebook</span></code> folder contains jupyter notebooks, used for the development
of the scripts</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">scripts</span></code> folder contains the scripts to run to analyse the data samples</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">output</span></code> folder contains the output of the scripts (which can be changed)</p></li>
</ul>
</div>
<div class="section" id="related-references">
<h3>Related references<a class="headerlink" href="#related-references" title="Permalink to this heading"></a></h3>
<p>[1] Koppenburg, P. Statistical Biases in Measurements with Multiple Candidates.
<a class="reference external" href="http://arxiv.org/abs/1703.01128">arXiv:1703.01128</a> [hep-ex, physics:physics]
2019.</p>
</div>
</div>
<div class="section" id="subpackages">
<h2>Subpackages<a class="headerlink" href="#subpackages" title="Permalink to this heading"></a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="scripts.multiple_candidates.definition.html">scripts.multiple_candidates.definition package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.definition.html#module-scripts.multiple_candidates.definition.colors">scripts.multiple_candidates.definition.colors module</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.definition.html#module-scripts.multiple_candidates.definition.columns">scripts.multiple_candidates.definition.columns module</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.definition.html#module-scripts.multiple_candidates.definition.labels">scripts.multiple_candidates.definition.labels module</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.definition.html#module-scripts.multiple_candidates.definition.loaded_columns">scripts.multiple_candidates.definition.loaded_columns module</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.definition.html#module-scripts.multiple_candidates.definition.multiple_candidates_cat">scripts.multiple_candidates.definition.multiple_candidates_cat module</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.definition.html#module-scripts.multiple_candidates.definition.particles">scripts.multiple_candidates.definition.particles module</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.definition.html#module-scripts.multiple_candidates.definition.paths">scripts.multiple_candidates.definition.paths module</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.definition.html#module-scripts.multiple_candidates.definition.strategy">scripts.multiple_candidates.definition.strategy module</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.definition.html#module-scripts.multiple_candidates.definition.useful_columns">scripts.multiple_candidates.definition.useful_columns module</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="scripts.multiple_candidates.mulcan.html">scripts.multiple_candidates.mulcan package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.mulcan.html#module-scripts.multiple_candidates.mulcan.common_features">scripts.multiple_candidates.mulcan.common_features module</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.mulcan.html#module-scripts.multiple_candidates.mulcan.events">scripts.multiple_candidates.mulcan.events module</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.mulcan.html#module-scripts.multiple_candidates.mulcan.parser">scripts.multiple_candidates.mulcan.parser module</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.mulcan.html#module-scripts.multiple_candidates.mulcan.particles">scripts.multiple_candidates.mulcan.particles module</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.mulcan.html#module-scripts.multiple_candidates.mulcan.root_files">scripts.multiple_candidates.mulcan.root_files module</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.mulcan.html#module-scripts.multiple_candidates.mulcan.strategy">scripts.multiple_candidates.mulcan.strategy module</a></li>
</ul>
</li>
</ul>
</div>
</div>
<div class="section" id="scripts">
<h2>Scripts<a class="headerlink" href="#scripts" title="Permalink to this heading"></a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.html">scripts.multiple_candidates.scripts_ana package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.html">scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates package</a><ul>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.html#module-scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.config">scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.config module</a></li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.html#module-scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.run">scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.run script</a></li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.html#module-scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.run_stats_all">scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.run_stats_all script</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.html">scripts.multiple_candidates.scripts_ana.b_find_shared_particles package</a><ul>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.html#module-scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config">scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config module</a></li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.html#module-scripts.multiple_candidates.scripts_ana.b_find_shared_particles.run">scripts.multiple_candidates.scripts_ana.b_find_shared_particles.run module</a></li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.html#module-scripts.multiple_candidates.scripts_ana.b_find_shared_particles">Module contents</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.html">scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates package</a><ul>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.html#module-scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config">scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config module</a></li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.html#module-scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.run">scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.run module</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.html">scripts.multiple_candidates.scripts_select package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.a_select_multiple_candidates.html">scripts.multiple_candidates.scripts_select.a_select_multiple_candidates package</a><ul>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.a_select_multiple_candidates.html#module-scripts.multiple_candidates.scripts_select.a_select_multiple_candidates.config">scripts.multiple_candidates.scripts_select.a_select_multiple_candidates.config module</a></li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.a_select_multiple_candidates.html#module-scripts.multiple_candidates.scripts_select.a_select_multiple_candidates.run">scripts.multiple_candidates.scripts_select.a_select_multiple_candidates.run script</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.b_compare_fit_results.html">scripts.multiple_candidates.scripts_select.b_compare_fit_results package</a><ul>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.b_compare_fit_results.html#module-scripts.multiple_candidates.scripts_select.b_compare_fit_results.config">scripts.multiple_candidates.scripts_select.b_compare_fit_results.config module</a></li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.b_compare_fit_results.html#module-scripts.multiple_candidates.scripts_select.b_compare_fit_results.compute">scripts.multiple_candidates.scripts_select.b_compare_fit_results.compute script</a></li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.b_compare_fit_results.html#module-scripts.multiple_candidates.scripts_select.b_compare_fit_results.plot">scripts.multiple_candidates.scripts_select.b_compare_fit_results.plot script</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.c_compute_chi2.html">scripts.multiple_candidates.scripts_select.c_compute_chi2 package</a><ul>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.c_compute_chi2.html#module-scripts.multiple_candidates.scripts_select.c_compute_chi2.config">scripts.multiple_candidates.scripts_select.c_compute_chi2.config module</a></li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.c_compute_chi2.html#module-scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects">scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects module</a></li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.c_compute_chi2.html#module-scripts.multiple_candidates.scripts_select.c_compute_chi2.run">scripts.multiple_candidates.scripts_select.c_compute_chi2.run module</a></li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.c_compute_chi2.html#module-scripts.multiple_candidates.scripts_select.c_compute_chi2.run_stats_all">scripts.multiple_candidates.scripts_select.c_compute_chi2.run_stats_all module</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
</div>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="lib.plot.html" class="btn btn-neutral float-left" title="lib.plot package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="scripts.multiple_candidates.definition.html" class="btn btn-neutral float-right" title="scripts.multiple_candidates.definition package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>